# AMPL implementation of IBA exercise 7.3 on max flow

set nodes;
param source symbolic in nodes;
param destination symbolic in nodes;
param capacity {nodes,nodes};

var x {i in nodes, j in nodes} >= 0, <= capacity[i,j];

maximize max_flow:
  sum {j in nodes} x[source,j];

subject to in_out {k in nodes diff {source,destination}}:
  sum {i in nodes diff {destination}} x[i,k] = sum {j in nodes diff {source}} x[k,j];